
/*
 * assorted routines
 * for denser code
 */

/* 
 * bzero (addr, len) -  clear the len bytes starting at addr
 */
	.globl	_bzero
_bzero:
	enter	[r6,r7],0
	movd	8(fp),r7
	movd	12(fp),r6
	cmpqd	0,r6
	blt	.bzret
.bzlp:
	movqb	0,0(r7)
	addqd	1,r7
	acbd	-1,r6,.bzlp
.bzret:
	exit	[r6,r7]
	ret	0

